# ZanTools


## Installation

Add this line to your application's Gemfile:

```ruby
gem 'zan_tools'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install zan_tools

## Usage
```
$ zan_tools -h
Usage zan_tools COMMAND [options]
COMMAND
   g/generate: 根据指定模板生成代码
generate options
    -n, --name NAME                  表名或者类名
    -f, --fields FIELDS              字段列表，格式：字段1:类型2,字段2:类型2
    -t, --template TEMPLATE          模板文件
    -o, --output FILE                输出到指定文件
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at http://gitlab.qima-inc.com/zigu/zan_tools. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
